"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.remove = exports.update = exports.insert = void 0;
const diffChanges_1 = require("./helpers/diffChanges");
function insert(params) {
    return {
        action: 'insert',
        // @ts-expect-error
        data: {},
        changes: params,
    };
}
exports.insert = insert;
function update(data, params = {}) {
    return {
        action: 'update',
        data,
        changes: (0, diffChanges_1.diffChanges)(data, params),
    };
}
exports.update = update;
function remove(data, params = {}) {
    return {
        action: 'delete',
        data,
        changes: (0, diffChanges_1.diffChanges)(data, params),
    };
}
exports.remove = remove;
//# sourceMappingURL=changesetFactory.js.map